import { requests } from './index';
const PREFIX = 'api-marketing/';

import config from '@/config';
export const url = config.api + PREFIX;

//智能营销--ECM营销引擎分页列表
export const loadEcmList = params => requests(PREFIX + 'page-ecm-list', params);

//扫码营销--分页列表排序
export const changeEcmPlanSort = params => requests(PREFIX + 'change-ecm-plan-sort', params);

//扫码营销-日志
export const listEcmScanLogPage = params => requests(PREFIX + 'list-ecm-scan-log-page', params);

//智能营销--ECM营销引擎-- 删除
export const deleteEcm = params => requests(PREFIX + 'delete-ecm', params);

//智能营销--ECM营销引擎-- 新建/修改 回显智能引擎计划信息
export const getEcmInfo = params => requests(PREFIX + 'get-ecm-info', params);

// 智能营销--ECM营销引擎-- 新建/修改 [保存]计划信息
export const saveEcmInfo = params => requests(PREFIX + 'save-update-ecm', params);

// 智能营销--下线
export const offlineEcmPlan = params => requests(PREFIX + 'ecm-plan-offline', params);

// 智能营销--记录--批次记录页面
export const ecmBatchSendInfos = params => requests(PREFIX + 'ecm-batch-send-infos', params);

// 智能营销--记录--批次人员列表
export const ecmBatchSendDetails = params => requests(PREFIX + 'ecm-batch-send-details', params);

// 智能营销--实时发送记录类型
export const ecmCurrentSendInfos = params => requests(PREFIX + 'ecm-current-send-infos', params);

// 智能营销--实时发送人员列表
export const ecmCurrentSendDetails = params => requests(PREFIX + 'ecm-current-send-details', params);

// 智能营销--记录--批次人员列表 导出csv
export const exportBatchSendDetails = config.api + PREFIX + 'export-batch-send-details';

// 智能营销--实时人员列表--导出csv
export const exportCurrentSendDetails = config.api + PREFIX + 'export-current-send-details';

// 智能营销--触达效果
export const ecmTouchEffectColumnDiagram = params => requests(PREFIX + 'ecmTouchEffectColumnDiagram', params);
export const ecmTouchEffectTable = params => requests(PREFIX + 'ecmTouchEffectTable', params);
export const ecmTouchEffectFunnelChart = params => requests(PREFIX + 'ecmTouchEffectFunnelChart', params);
// 智能营销--导购线索
export const ecmGuideCluesColumnDiagram = params => requests(PREFIX + 'ecmGuideCluesColumnDiagram', params);
export const ecmGuideCluesTable = params => requests(PREFIX + 'ecmGuideCluesTable', params);
export const ecmGuideCluesTaskTable = params => requests(PREFIX + 'ecmGuideCluesTaskTable', params); // 任务完成情况表格
export const ecmGuideCluesTouchEffectTotalTab = params => requests(PREFIX + 'ecmGuideCluesTouchEffectTotalTab', params); // 触达效果-整体转化-表格
export const ecmGuideCluesTouchEffectTabTotalHead = params => requests(PREFIX + 'ecmGuideCluesTouchEffectTabTotalHead', params); // 触达效果-整体转化-表头
export const ecmGuideCluesTouchEffectTab = params => requests(PREFIX + 'ecmGuideCluesTouchEffectTab', params); // 触达效果-其他tab-表格
export const ecmGuideCluesTouchEffectTabHead = params => requests(PREFIX + 'ecmGuideCluesTouchEffectTabHead', params); // 触达效果-其他tab-表头
// 智能营销--后台线索
export const ecmHeadCluesColumnDiagram = params => requests(PREFIX + 'ecmHeadCluesColumnDiagram', params);
export const ecmHeadGuideCluesTable = params => requests(PREFIX + 'ecmHeadGuideCluesTable', params);
export const ecmHeadCluesTaskTab = params => requests(PREFIX + 'ecmHeadCluesTaskTab', params); // 表格
export const ecmHeadCluesTaskTabHead = params => requests(PREFIX + 'ecmHeadCluesTaskTabHead', params); //表头

export const getUseStoredFalg = params => requests(PREFIX + 'get-ecm-store-flag', params);

export const getXsxsFalg = params => requests(PREFIX + 'get-xsxs-open-flag', params);
